org.apache.tapestry5.internal.services

## Class AssetInjectionProvider

- java.lang.Object
- - org.apache.tapestry5.internal.services.AssetInjectionProvider

- All Implemented Interfaces:
    InjectionProvider2

      public class AssetInjectionProvider
      extends Object
      implements InjectionProvider2

  Performs injection of assets, based on the presence of the `Path` annotation. This is more useful than the general `AssetObjectProvider`, because relative assets are supported.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssetInjectionProvider(AssetSource assetSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `provideInjection(PlasticField field, ObjectLocator locator, MutableComponentModel componentModel)` Perform the injection, if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssetInjectionProvider

          public AssetInjectionProvider(AssetSource assetSource)

  - ### Method Detail

    - #### provideInjection

          public boolean provideInjection(PlasticField field,
                                          ObjectLocator locator,
                                          MutableComponentModel componentModel)

      Description copied from interface: `InjectionProvider2`
      Perform the injection, if possible. Most often, this will result in a call to `PlasticField.inject(Object)`. The caller is responsible for invoking `PlasticField.claim(Object)`.
      Specified by:
        `provideInjection` in interface `InjectionProvider2`
      Parameters:
        `field` - that has the `Inject` annotation
        `locator` - allows services to be located
        `componentModel` - defines the relevant aspects of the component
      Returns:
        true if an injection has been made (terminates the command chain), false to continue down the chain

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.